Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032674
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2016-04-15 10:032016-04-28 10:13
ReporterumartirenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR16Q3
StatusclosedFix in branchFixed in SCM revisionea3697a0359b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date2015-12-15
Regression introduced in releaseRR16Q1
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ed7f8734ef3bb2cd7eb6b310facea36835c6d9cb [^]
Triggers an Emergency PackNo
Summary

0032674: [SER-QA 911] Discounts are not properly obtained when loading a ticket with discounts from the backend

DescriptionDiscounts are not properly obtained when loading a ticket with discounts from the backend. A ticket with a line with certain discounts is synchronized to the backend, and when retrieving it the values of the discounts are not properly displayed.
Steps To ReproduceIn Web POS:
 - A a line with a ticket for product "Crampons 10 point", qty: 3
 - A "price_adjust_chrampons_30_eur" discount is automatically applied, amount: -29.70.
 - Go to "receipt discounts" menu entry and apply "disc_5_var_euro - 5 EUR" discount. A discount is applied in the line of amount -5. The previous discount is updated to amount -24.69.
 - Pay and complete the ticket.
 - Go to "Receipts" menu entry and search the ticket.
 - The amount of "price_adjust_chrampons_30_eur" discount is now again -29.70, and this is wrong (even the total gross of the ticket is ok, because the promotion data in client side is wrong), it should be -24.69.
Proposed SolutionThe best way of action is to set at order's line level the flag skipApplyPromotions to true in the newPaidReceipt function.

After that, it's mandatory to try the flows of layaways, receipts, quotations and other possible flows that retrieve an order from the backend.

Keep in mind that in the create order from quotation flow, if the Firm Quotation field is unchecked, this flag must be change to false to recalculate the promotion and prices of the order's lines. This scenario, could be reproducible in another flows.
TagsSER-QA
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0032691RR16Q2 closedRetail [SER-QA 911] Discounts are not properly obtained when loading a ticket with discounts from the backend 
depends on backport 0032692RR16Q1.1 closedRetail [SER-QA 911] Discounts are not properly obtained when loading a ticket with discounts from the backend 
related to defect 0032699 closedshivum039 Firm quotation doesn't work when creating a order from a quotation 
causes defect 0033036 closedranjith_qualiantech_com Quotation Amount is not calculated after reactivation 

-  Notes
(0085805)
hgbot (developer)
2016-04-21 04:36

Repository: tools/automation/pi-mobile
Changeset: 6c416a6bd49676ee4e815cdd05cbd536efba95e1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 21 08:04:12 2016 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/6c416a6bd49676ee4e815cdd05cbd536efba95e1 [^]

Verifies issue 32674 : Added automated test 'I32674_VerifyDiscountOnReloadTicket'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I32674_VerifyDiscountOnReloadTicket.java
---
(0085806)
hgbot (developer)
2016-04-21 04:36

Repository: tools/automation/pi-mobile
Changeset: 6c416a6bd49676ee4e815cdd05cbd536efba95e1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 21 08:04:12 2016 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/6c416a6bd49676ee4e815cdd05cbd536efba95e1 [^]

Verifies issue 32674 : Added automated test 'I32674_VerifyDiscountOnReloadTicket'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I32674_VerifyDiscountOnReloadTicket.java
---
(0085807)
hgbot (developer)
2016-04-21 04:36

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ea3697a0359b1589f8f5ca9fd604ee5b686ad23b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 21 08:05:28 2016 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ea3697a0359b1589f8f5ca9fd604ee5b686ad23b [^]

Fixes issue 32674 : Prevent apply promotion while loading ticket from backend

Prevent Calculating promotion while loading ticket from backend

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0085892)
hgbot (developer)
2016-04-22 13:20

Repository: retail/backports/3.0RR16Q1.1/org.openbravo.retail.posterminal
Changeset: 7240b50a9a89981a815830b6ef4522329b30cc83
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Apr 21 17:23:12 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q1.1/org.openbravo.retail.posterminal/rev/7240b50a9a89981a815830b6ef4522329b30cc83 [^]

Fixed issue 32692: [SER-QA 911] Discounts are not properly obtained when loading
a ticket with discounts from the backend

Backport for the issue 32674.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2016-04-15 10:03 umartirena New Issue
2016-04-15 10:03 umartirena Assigned To => Retail
2016-04-15 10:03 umartirena Triggers an Emergency Pack => No
2016-04-15 11:11 Orekaria Status new => acknowledged
2016-04-18 12:57 VictorVillar Tag Attached: SER-QA
2016-04-18 12:58 VictorVillar Summary Discounts are not properly obtained when loading a ticket with discounts from the backend => [SER-QA 911] Discounts are not properly obtained when loading a ticket with discounts from the backend
2016-04-18 15:49 jorge-garcia Regression level => Production - QA Approved
2016-04-18 15:49 jorge-garcia Regression date => 2015-12-15
2016-04-18 15:49 jorge-garcia Regression introduced in release => RR16Q1
2016-04-18 15:49 jorge-garcia Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ed7f8734ef3bb2cd7eb6b310facea36835c6d9cb [^]
2016-04-18 16:09 jorge-garcia Proposed Solution updated
2016-04-18 16:10 jorge-garcia Status acknowledged => scheduled
2016-04-18 16:11 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2016-04-19 09:11 jorge-garcia Relationship added related to 0032699
2016-04-21 04:36 hgbot Checkin
2016-04-21 04:36 hgbot Note Added: 0085805
2016-04-21 04:36 hgbot Checkin
2016-04-21 04:36 hgbot Note Added: 0085806
2016-04-21 04:36 hgbot Checkin
2016-04-21 04:36 hgbot Note Added: 0085807
2016-04-21 04:36 hgbot Status scheduled => resolved
2016-04-21 04:36 hgbot Resolution open => fixed
2016-04-21 04:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ea3697a0359b1589f8f5ca9fd604ee5b686ad23b [^]
2016-04-22 13:20 hgbot Checkin
2016-04-22 13:20 hgbot Note Added: 0085892
2016-04-28 10:13 marvintm Review Assigned To => marvintm
2016-04-28 10:13 marvintm Status resolved => closed
2016-04-28 10:13 marvintm Fixed in Version => RR16Q3
2016-06-07 12:40 Orekaria Relationship added causes 0033036


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker